Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface UserDataHandler

public interface UserDataHandler

When associating an object to a key on a node using `setUserData` the application can provide a handler that gets called when the node the object is associated to is being cloned, imported, or renamed. This can be used by the application to implement various behaviors regarding the data it associates to the DOM nodes. This interface defines that handler.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Field Summary
`static short` | `NODE_CLONED` The node is cloned.
`static short` | `NODE_DELETED` The node is deleted.
`static short` | `NODE_IMPORTED` The node is imported.
`static short` | `NODE_RENAMED` The node is renamed.

Method Summary
`void` | `handle(short operation, java.lang.String key, java.lang.Object data, Node src, Node dst)` This method is called whenever the node for which this handler is registered is imported or cloned.

Field Detail

### NODE_CLONED

    public static final short NODE_CLONED

  The node is cloned.
  See Also:
    Constant Field Values

### NODE_IMPORTED

    public static final short NODE_IMPORTED

  The node is imported.
  See Also:
    Constant Field Values

### NODE_DELETED

    public static final short NODE_DELETED

  The node is deleted.

  Note: This may not be supported or may not be reliable in certain environments, such as Java, where the implementation has no real control over when objects are actually deleted.

  See Also:
    Constant Field Values

### NODE_RENAMED

    public static final short NODE_RENAMED

  The node is renamed.
  See Also:
    Constant Field Values

Method Detail

### handle

    public void handle(short operation,
                       java.lang.String key,
                       java.lang.Object data,
    Node src,
    Node dst)

  This method is called whenever the node for which this handler is registered is imported or cloned.
  Parameters:
    `operation` - Specifies the type of operation that is being performed on the node.
    `key` - Specifies the key for which this handler is being called.
    `data` - Specifies the data for which this handler is being called.
    `src` - Specifies the node being cloned, imported, or renamed. This is `null` when the node is being deleted.
    `dst` - Specifies the node newly created if any, or `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 W3C® (MIT, INRIA, Keio), All rights reserved.